AtteanX::Parser::NTuples(3pm)

NAME
AtteanX::Parser::NTuples - Shared functionality for N-Triples and N-Quads parsers

VERSION
This document describes AtteanX::Parser::NTuples version 0.030

SYNOPSIS
 use Attean;

DESCRIPTION
...

METHODS

"parse_term_from_bytes( $bytes )"
    Parses the given $bytes and returns a corresponding Attean::API::Term object.

"parse_iter_from_bytes( $data )"
    Returns an iterator of Attean::API::Binding objects that result from parsing the data read from the UTF-8 encoded byte string $data.

"parse_iter_from_io( $fh )"
    Returns an iterator of Attean::API::Binding objects that result from parsing the data read from the IO::Handle object $fh.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2020 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.